<?php
session_start();
    header('Access-Control-Allow-Origin:*');
    header('Content-Type; application/json; charset=utf-8');
    header('Access-control-Allow-Method: POST');
    header('Access-control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-request-With');
    include('db.php');
        $inputdata = json_decode(file_get_contents("php://input"), true);
        
        $boisson = $inputdata['boisson'];
        $designation = $inputdata['designation'];
        $prix_achat = $inputdata['prix_achat'];
        $prix_vente = $inputdata['prix_vente'];
        $benefice=$prix_vente-$prix_achat;
      

            # inscription 

            $user=$db->prepare('INSERT INTO prix_boisson (boisson, designation, prix_achat, prix_vente, benefice) VALUES(?,?,?,?,?)');

            $req_user = $user->execute(array($boisson, $designation, $prix_achat, $prix_vente, $benefice));

            if ($req_user) {
                //création réussie

                echo (json_encode(['response' => 1]));



            }else{
                // création non réussie

                echo (json_encode(['response' => 0]));

                

            }


        